Bug 2293 - Password authentication fails with Samba v3 and HP Tru64 running enhanced security
Password authentication fails with Samba v3 and HP Tru64 running enhanced sec...
Status: RESOLVED DUPLICATE of bug 1940
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.7
Alpha All
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-01 02:00 UTC by paulwbaker
Modified: 2006-01-08 17:32 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description paulwbaker 2005-02-01 02:00:01 UTC
Changes made to the password authentication procedures between Samba v2.x & 
v3.x cause it not to work with HP Tru64 5.1A when running in enhanced security 
mode.  The problem occurs in samba-3.0.7/source/auth/pass_check.c (c.f. samba-
2.2.2/source/passdb/pass_check.c) when HAVE_GETPRPWNAM has been set.  The 
encrypted password (this_crypted) gets correctly re-populated.  However, the 
salt (this_salt) does not get re-populated from the encrypted password.  
Therefore, when incorrect salt is applied to the supplied password, the 
authentication fails.  In prior versions, the salt was correctly populated, 
resulting in authentication success. A configuration which exhibits this 
problem is HP Tru64 5.1A Patch Kit 6 with Samba v3.0.7  (Samba v2.2.2 works 
fine).
Comment 1 paulwbaker 2005-07-05 06:31:41 UTC
This bug was reported on 2005-02-01.  It prevents use of samba v3.x.x with HP 
Tru64 5.1A (and almost certainly with HP Tru64 5.1B) where enhanced security 
mode is in use.  Is this bug likely to be accepted?
Comment 2 Björn Jacke 2006-01-08 17:32:30 UTC

*** This bug has been marked as a duplicate of 1940 ***